
Redmine - Defect #20429

Tracker with assignee field disabled, Is getting assigned with Assignee through Category

2015-07-29 07:42 - Rupesh  J

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.1

Description

Hello,

Redmine version                3.0.3.stable

Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

Rails version                  4.2.1

Environment                    production

Database adapter               Mysql2

On a tracker, disable the asignee field.

Create a issue category and set assignee to a user.

Create a new issue and assign the above created category.

check that the assingee is updated with the above even when the tracker has been disabled with the field.

Related issues:

Is duplicate of Redmine - Feature #6889: Set assignee on category change New 2010-11-15

History

#1 - 2015-07-30 16:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Do you use plugins?

#2 - 2015-08-01 15:57 - Rupesh  J

Yes.! I have some plugins.

Developed by me and some got from Plugins section.!

#3 - 2015-08-31 01:17 - Toshi MARUYAMA

Rupesh  J wrote:

check that the assingee is updated with the above even when the tracker has been disabled with the field.

 I cannot understand what you mean.

#4 - 2015-09-24 11:31 - Alexis Parent

Feedback :

In my redmine,

I create projet Shope and tracker Order.

I add two new members : Paul and phillips. They are a rôle with all permissions.

For a tracker Order,

_I disabled the assignee field and others fields

_I keep only category field.

In my project Shope,

_I able tracker Order.

_I add Paul and Phillips.

_I create two category : Seller and Buyer. I add Paul in Buyer category and Phillips in Seller.

Scenario :
Paul create a issue Order "Beer", in project Shope, with category Seller.

In "My page" of Paul, you can see issue "beer" in Reported issues.

In "My page" of Phillips, you can see issue "beer" in Issue assigned to me.

Paul upgrade a issue Order "Beer", in project Shope, with category Buyer.

In "My page" of Paul, you can see issue "beer" in Reported issues.

In "My page" of Phillips, you can't see issue "beer" anywher.

Conclusion :

Assignee through Category works only once when issue is created.

#5 - 2015-09-24 11:32 - Alexis Parent

I forgot

Environment:

Redmine version                3.0.3.stable

Ruby version                   2.0.0-p645 (2015-04-13) [i386-mingw32]

Rails version                  4.2.1

Environment                    production

Database adapter               Mysql2

#6 - 2015-10-22 13:02 - Toshi MARUYAMA

Alexis Parent wrote:

Conclusion :

Assignee through Category works only once when issue is created.

 #18393#note-2 says it is expected behavior.

#7 - 2015-10-22 13:04 - Toshi MARUYAMA

- Related to Feature #6889: Set assignee on category change added

#8 - 2015-10-22 13:09 - Toshi MARUYAMA

- Related to deleted (Feature #6889: Set assignee on category change)

#9 - 2015-10-22 13:09 - Toshi MARUYAMA

- Is duplicate of Feature #6889: Set assignee on category change added

#10 - 2015-10-22 13:10 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

I close as duplicate of #6889.
